Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.mdm.index.ops
Interface TransactionMgr

All Known Implementing Classes:
  TransactionMgrImpl

public interface TransactionMgr

The interface of Transaction Manager

Method Summary
`TMResult` | `addEnterpriseObject(java.sql.Connection conn, EnterpriseObject eo)` Persists a new EnterpriseObject into database.
`TMResult` | `euidMerge(java.sql.Connection conn, EnterpriseObject eo1, EnterpriseObject eo2)` EUID merge: update both enterprise objects in the database, and log the action in transaction facility.
`TMResult` | `euidMerge(java.sql.Connection conn, EnterpriseObject eo1, EnterpriseObject eo2, java.lang.String srcRevisionNumber, java.lang.String destRevisionNumber)` EUID merge: update both enterprise objects in the database, and log the action in transaction facility.
`TMResult` | `euidUnMerge(java.sql.Connection conn, EnterpriseObject eo1, EnterpriseObject eo2)` EUID unmerge: update both enterprise objects in the database, and log the action in transaction facility.
`TMResult` | `euidUnMerge(java.sql.Connection conn, java.lang.String transactionID, EnterpriseObject eo1, EnterpriseObject eo2)` EUID unmerge: update both enterprise objects in the database, and log the action in transaction facility.
`TransactionObject` | `findTransactionLog(java.sql.Connection conn, java.lang.String transId)` Find transaction logs by TransactionObject ID.
`TransactionObject[]` | `findTransactionLogs(java.sql.Connection conn, java.lang.String euid, java.util.Date beginTS, java.util.Date endTS)` Finds transaction logs by EUID and timestamp range indicated by beginning and ending timestamp.
`TransactionObject[]` | `findTransactionLogs(java.sql.Connection conn, java.lang.String systemcode, java.lang.String lid, java.util.Date beginTS, java.util.Date endTS)` Finds transaction logs by System Code, Local ID, and timestamp range indicated by beginning and ending timestamp.
`TransactionObject[]` | `findTransactionLogs(java.sql.Connection conn, TransactionObject tobj, java.util.Date beginTS, java.util.Date endTS)` Find transaction logs by TransactionObject and timestamp range indicated by beginning and ending timestamp.
`TransactionObject[]` | `findTransactionLogs(java.sql.Connection conn, TransactionObject tObj, java.util.Date beginTS, java.util.Date endTS, java.lang.String orderBy)` Find transaction logs by TransactionObject.
`EnterpriseObject` | `getBeforeImage(EnterpriseObject eo)` Apply delta to an EnterpriseObject.
`EnterpriseObject` | `getEnterpriseObject(java.sql.Connection conn, java.lang.String euid)` Retrieves an EnterpriseObject from database by its EUID
`EnterpriseObject` | `getEnterpriseObject(java.sql.Connection conn, java.lang.String euid, java.lang.String[] epaths)` Retrieves an EnterpriseObject by its EUID and set of Epaths.
`SystemObject` | `getSystemObject(java.sql.Connection conn, java.lang.String systemcode, java.lang.String lid)` Retrieves a SystemObject from database by its SystemCode and LocalID.
`SBR` | `getSystemSBR(java.sql.Connection conn, java.lang.String euid)` Retrieves SystemSBR from database by its EUID.
`TMResult` | `lidMerge(java.sql.Connection conn, EnterpriseObject eo1, EnterpriseObject eo2, java.lang.String systemcode, java.lang.String lid1, java.lang.String lid2)` LID merge: update merged EnterpriseObject in database and log the action in transaction facility.
`TMResult` | `lidTransfer(java.sql.Connection conn, EnterpriseObject eo1, EnterpriseObject eo2, java.lang.String systemcode, java.lang.String lid)` LID transfer : update enterprise objects involved in transfer and log the action in transaction facility.
`TMResult` | `lidUnMerge(java.sql.Connection conn, EnterpriseObject eo1, EnterpriseObject eo2, java.lang.String systemcode, java.lang.String lid1, java.lang.String lid2)` LID unmerge: update merged EnterpriseObject in database and log the action in transaction facility.
`TMResult` | `lidUnMerge(java.sql.Connection conn, EnterpriseObject eo1, EnterpriseObject eo2, java.lang.String transactionID, java.lang.String systemcode, java.lang.String lid1, java.lang.String lid2)` LID unmerge: update merged EnterpriseObject in database and log the action in transaction facility.
`RecreateResult` | `recreateObject(java.sql.Connection conn, java.lang.String transactionnumber)` Recreate object.
`TMResult` | `updateEnterpriseObject(java.sql.Connection conn, EnterpriseObject eo, java.lang.String function)` Updates an EnterpriseObject in database
`TMResult` | `updateEnterpriseObject(java.sql.Connection conn, EnterpriseObject eo, java.lang.String revisionNumber, java.lang.String function)` Updates an EnterpriseObject in database.
`TMResult` | `updateEnterpriseObject(java.sql.Connection conn, EnterpriseObject eo, java.lang.String sysCode, java.lang.String lid, java.lang.String function)` Updates an EnterpriseObject in database
`TMResult` | `updateEnterpriseObject(java.sql.Connection conn, EnterpriseObject eo, java.lang.String sysCode, java.lang.String lid, java.lang.String revisionNumber, java.lang.String function)` Updates an EnterpriseObject in database.

Method Detail

### addEnterpriseObject

    public TMResult addEnterpriseObject(java.sql.Connection conn,
                                        EnterpriseObject eo)
                                 throws OPSException

  Persists a new EnterpriseObject into database.

  Parameters:
    `conn` - JDBC connection.
    `eo` - EnterpriseObject to persist.
  Returns:
    result of the transaction.
  Throws:
    `OPSException` - if an error occurred.

### euidMerge

    public TMResult euidMerge(java.sql.Connection conn,
                              EnterpriseObject eo1,
                              EnterpriseObject eo2)
                       throws OPSException,
                              DataModifiedException

  EUID merge: update both enterprise objects in the database, and log the action in transaction facility.

  Parameters:
    `conn` - JDBC connection.
    `eo1` - Surviving EnterpriseObject.
    `eo2` - Merged EnterpriseObject.
  Returns:
    ret Transaction Manager result
  Throws:
    `OPSException` - if an OPSException occurred.
    `DataModifiedException` - if the record has been modified by another process.

### euidMerge

    public TMResult euidMerge(java.sql.Connection conn,
                              EnterpriseObject eo1,
                              EnterpriseObject eo2,
                              java.lang.String srcRevisionNumber,
                              java.lang.String destRevisionNumber)
                       throws OPSException,
                              DataModifiedException

  EUID merge: update both enterprise objects in the database, and log the action in transaction facility.

  Parameters:
    `conn` - JDBC connection.
    `eo1` - Surviving EnterpriseObject.
    `eo2` - Merged EnterpriseObject.
    `srcRevisionNumber` - The SBR revision number or the surviving EnterpriseObject.
    `destRevisionNumber` - The SBR revision number or the merged EnterpriseObject.
  Returns:
    ret Transaction Manager result
  Throws:
    `OPSException` - if an OPSException occurred.
    `DataModifiedException` - if the record has been modified by another process.

### euidUnMerge

    public TMResult euidUnMerge(java.sql.Connection conn,
                                EnterpriseObject eo1,
                                EnterpriseObject eo2)
                         throws OPSException,
                                DataModifiedException

  EUID unmerge: update both enterprise objects in the database, and log the action in transaction facility.

  Parameters:
    `conn` - JDBC connection.
    `eo1` - Surviving EnterpriseObject.
    `eo2` - Merged EnterpriseObject.
  Returns:
    ret Transaction Manager result
  Throws:
    `OPSException` - if an OPSException occurred.
    `DataModifiedException` - if the record has been modified by another process.

### euidUnMerge

    public TMResult euidUnMerge(java.sql.Connection conn,
                                java.lang.String transactionID,
                                EnterpriseObject eo1,
                                EnterpriseObject eo2)
                         throws OPSException,
                                DataModifiedException

  EUID unmerge: update both enterprise objects in the database, and log the action in transaction facility.

  Parameters:
    `conn` - JDBC connection.
    `transactionID` - Transaction number of the original merge operation.
    `eo1` - Surviving EnterpriseObject.
    `eo2` - Merged EnterpriseObject.
  Returns:
    ret Transaction Manager result
  Throws:
    `OPSException` - if an OPSException occurred.
    `DataModifiedException` - if the record has been modified by another process.

### findTransactionLog

    public TransactionObject findTransactionLog(java.sql.Connection conn,
                                                java.lang.String transId)
                                         throws OPSException

  Find transaction logs by TransactionObject ID.

  Parameters:
    `conn` - JDBC connection.
    `transId` - Transaction ID
  Returns:
    ret TransactionObject array.
  Throws:
    `OPSException` - if an OPSException occurred.

### findTransactionLogs

    public TransactionObject[] findTransactionLogs(java.sql.Connection conn,
                                                   java.lang.String euid,
                                                   java.util.Date beginTS,
                                                   java.util.Date endTS)
                                            throws OPSException

  Finds transaction logs by EUID and timestamp range indicated by beginning and ending timestamp.

  Parameters:
    `conn` - JDBC connection.
    `euid` - EUID.
    `beginTS` - Beginning timestamp.
    `endTS` - Ending timestamp.
  Returns:
    ret TransactionObject array.
  Throws:
    `OPSException` - if an OPSException occurred.

### findTransactionLogs

    public TransactionObject[] findTransactionLogs(java.sql.Connection conn,
                                                   java.lang.String systemcode,
                                                   java.lang.String lid,
                                                   java.util.Date beginTS,
                                                   java.util.Date endTS)
                                            throws OPSException

  Finds transaction logs by System Code, Local ID, and timestamp range indicated by beginning and ending timestamp.

  Parameters:
    `conn` - JDBC connection.
    `systemcode` - System code.
    `lid` - Local ID.
    `beginTS` - Beginning timestamp.
    `endTS` - Ending timestamp.
  Returns:
    ret TransactionObject array.
  Throws:
    `OPSException` - if an OPSException occurred.

### findTransactionLogs

    public TransactionObject[] findTransactionLogs(java.sql.Connection conn,
                                                   TransactionObject tobj,
                                                   java.util.Date beginTS,
                                                   java.util.Date endTS)
                                            throws OPSException

  Find transaction logs by TransactionObject and timestamp range indicated by beginning and ending timestamp.

  Parameters:
    `conn` - JDBC connection.
    `tobj` - TransactionObject
    `beginTS` - Beginning timestamp.
    `endTS` - Ending timestamp.
  Returns:
    ret TransactionObject array.
  Throws:
    `OPSException` - if an OPSException occurred.

### findTransactionLogs

    public TransactionObject[] findTransactionLogs(java.sql.Connection conn,
                                                   TransactionObject tObj,
                                                   java.util.Date beginTS,
                                                   java.util.Date endTS,
                                                   java.lang.String orderBy)
                                            throws OPSException

  Find transaction logs by TransactionObject. Ordering can be specified.

  Parameters:
    `conn` - JDBC connection.
    `beginTS` - Beginning timestamp.
    `endTS` - Ending timestamp.
    `orderBy` - Order by clause
  Returns:
    ret TransactionObject array.
  Throws:
    `OPSException` - if an OPSException occurred.

### getBeforeImage

    public EnterpriseObject getBeforeImage(EnterpriseObject eo)
                                    throws OPSException

  Apply delta to an EnterpriseObject.

  Parameters:
    `eo` - EnterpriseObject to which the delta is applied.
  Returns:
    updated EnterpriseObject.
  Throws:
    `OPSException` - if an OPSException occurred.

### getEnterpriseObject

    public EnterpriseObject getEnterpriseObject(java.sql.Connection conn,
                                                java.lang.String euid)
                                         throws OPSException

  Retrieves an EnterpriseObject from database by its EUID

  Parameters:
    `conn` - JDBC connection.
    `euid` - EUID.
  Returns:
    EnterpriseObject
  Throws:
    `OPSException` - if an OPSException occurred.

### getEnterpriseObject

    public EnterpriseObject getEnterpriseObject(java.sql.Connection conn,
                                                java.lang.String euid,
                                                java.lang.String[] epaths)
                                         throws OPSException

  Retrieves an EnterpriseObject by its EUID and set of Epaths. The set of Epaths specify what objects are retrieved to compose EO.

  Parameters:
    `conn` - JDBC connection.
    `euid` - EUID.
    `epaths` - list of Epaths
  Returns:
    EnterpriseObject
  Throws:
    `OPSException` - if an OPSException occurred.

### getSystemObject

    public SystemObject getSystemObject(java.sql.Connection conn,
                                        java.lang.String systemcode,
                                        java.lang.String lid)
                                 throws OPSException

  Retrieves a SystemObject from database by its SystemCode and LocalID.

  Parameters:
    `conn` - JDBC connection.
    `systemcode` - System code.
    `lid` - Local ID.
  Returns:
    SystemObject
  Throws:
    `OPSException` - if an OPSException occurred.

### getSystemSBR

    public SBR getSystemSBR(java.sql.Connection conn,
                            java.lang.String euid)
                     throws OPSException

  Retrieves SystemSBR from database by its EUID.

  Parameters:
    `conn` - JDBC connection.
    `euid` - EUID.
  Returns:
    SystemSBR
  Throws:
    `OPSException` - if an OPSException occurred.

### lidMerge

    public TMResult lidMerge(java.sql.Connection conn,
                             EnterpriseObject eo1,
                             EnterpriseObject eo2,
                             java.lang.String systemcode,
                             java.lang.String lid1,
                             java.lang.String lid2)
                      throws OPSException,
                             DataModifiedException

  LID merge: update merged EnterpriseObject in database and log the action in transaction facility.

  Parameters:
    `conn` - JDBC connection.
    `eo1` - Surviving EnterpriseObject.
    `eo2` - Merged EnterpriseObject.
    `systemcode` - System code for both SystemObjects.
    `lid1` - Local ID of the surviving SystemObject.
    `lid2` - Local ID of the merged SystemObject.
  Returns:
    ret Transaction Manager result
  Throws:
    `OPSException` - if an OPSException occurred.
    `DataModifiedException` - if the record has been modified by another process.

### lidTransfer

    public TMResult lidTransfer(java.sql.Connection conn,
                                EnterpriseObject eo1,
                                EnterpriseObject eo2,
                                java.lang.String systemcode,
                                java.lang.String lid)
                         throws OPSException,
                                DataModifiedException

  LID transfer : update enterprise objects involved in transfer and log the action in transaction facility.

  Parameters:
    `conn` - JDBC connection.
    `eo1` - Surviving EnterpriseObject.
    `eo2` - Merged EnterpriseObject.
    `systemcode` - System code of the transferred SystemObject.
  Returns:
    ret Transaction Manager result
  Throws:
    `OPSException` - if an OPSException occurred.
    `DataModifiedException` - if the record has been modified by another process.

### lidUnMerge

    public TMResult lidUnMerge(java.sql.Connection conn,
                               EnterpriseObject eo1,
                               EnterpriseObject eo2,
                               java.lang.String systemcode,
                               java.lang.String lid1,
                               java.lang.String lid2)
                        throws OPSException,
                               DataModifiedException

  LID unmerge: update merged EnterpriseObject in database and log the action in transaction facility.

  Parameters:
    `conn` - JDBC connection.
    `eo1` - Surviving EnterpriseObject.
    `eo2` - Merged EnterpriseObject.
    `systemcode` - System code for both SystemObjects.
    `lid1` - Local ID of the surviving SystemObject.
    `lid2` - Local ID of the merged SystemObject.
  Returns:
    ret Transaction Manager result
  Throws:
    `OPSException` - if an OPSException occurred.
    `DataModifiedException` - if the record has been modified by another process.

### lidUnMerge

    public TMResult lidUnMerge(java.sql.Connection conn,
                               EnterpriseObject eo1,
                               EnterpriseObject eo2,
                               java.lang.String transactionID,
                               java.lang.String systemcode,
                               java.lang.String lid1,
                               java.lang.String lid2)
                        throws OPSException,
                               DataModifiedException

  LID unmerge: update merged EnterpriseObject in database and log the action in transaction facility.

  Parameters:
    `conn` - JDBC connection.
    `eo1` - Surviving EnterpriseObject.
    `eo2` - Merged EnterpriseObject.
    `transactionID` - Transaction number of the original merge operation.
    `systemcode` - System code for both SystemObjects.
    `lid1` - Local ID of the surviving SystemObject.
    `lid2` - Local ID of the merged SystemObject.
  Returns:
    ret Transaction Manager result
  Throws:
    `OPSException` - if an OPSException occurred.
    `DataModifiedException` - if the record has been modified by another process.

### recreateObject

    public RecreateResult recreateObject(java.sql.Connection conn,
                                         java.lang.String transactionnumber)
                                  throws OPSException

  Recreate object.

  Parameters:
    `conn` - JDBC connection.
    `transactionnumber` - Transaction number for recreating the object.
  Returns:
    RecreateResult object.
  Throws:
    `OPSException` - if an OPSException occurred.

### updateEnterpriseObject

    public TMResult updateEnterpriseObject(java.sql.Connection conn,
                                           EnterpriseObject eo,
                                           java.lang.String function)
                                    throws OPSException,
                                           DataModifiedException

  Updates an EnterpriseObject in database

  Parameters:
    `conn` - JDBC connection.
    `eo` - EnterpriseObject to persist.
    `function` - Update, euidActivate, euidDeactivate, lidActivate, lidDeactivate
  Returns:
    TMResult tm result
  Throws:
    `OPSException` - if an error occurred.
    `DataModifiedException` - if the Enterprise Object has been modified by another process or user.

### updateEnterpriseObject

    public TMResult updateEnterpriseObject(java.sql.Connection conn,
                                           EnterpriseObject eo,
                                           java.lang.String revisionNumber,
                                           java.lang.String function)
                                    throws OPSException,
                                           DataModifiedException

  Updates an EnterpriseObject in database.

  Parameters:
    `conn` - JDBC connection.
    `eo` - EnterpriseObject to persist.
    `revisionNumber` - Revision number.
    `function` - Update, euidActivate, euidDeactivate, lidActivate, lidDeactivate
  Returns:
    result of the transaction.
  Throws:
    `OPSException` - if an error occurred.
    `DataModifiedException` - if the Enterprise Object has been modified by another process or user.

### updateEnterpriseObject

    public TMResult updateEnterpriseObject(java.sql.Connection conn,
                                           EnterpriseObject eo,
                                           java.lang.String sysCode,
                                           java.lang.String lid,
                                           java.lang.String function)
                                    throws OPSException,
                                           DataModifiedException

  Updates an EnterpriseObject in database

  Parameters:
    `conn` - jdbc connection
    `eo` - EnterpriseObject
    `sysCode` - System code of the SystemObject causing the change
    `lid` - lid of the SystemObject causing the change
    `function` - Update, euidActivate, euidDeactivate, lidActivate, lidDeactivate
  Returns:
    result of the transaction.
  Throws:
    `OPSException` - ops exception OPSException
    `DataModifiedException` - Concurrent modification by other user

### updateEnterpriseObject

    public TMResult updateEnterpriseObject(java.sql.Connection conn,
                                           EnterpriseObject eo,
                                           java.lang.String sysCode,
                                           java.lang.String lid,
                                           java.lang.String revisionNumber,
                                           java.lang.String function)
                                    throws OPSException,
                                           DataModifiedException

  Updates an EnterpriseObject in database.

  Parameters:
    `conn` - JDBC connection.
    `eo` - EnterpriseObject to persist.
    `sysCode` - System code of the SystemObject causing the change.
    `lid` - Local ID of the SystemObject causing the change.
    `revisionNumber` - Revision number.
    `function` - Update, euidActivate, euidDeactivate, lidActivate, lidDeactivate
  Returns:
    TMResult tm result
  Throws:
    `OPSException` - if an OPSException occurred.
    `DataModifiedException` - Concurrent modification by other user

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Sun Microsystems, Inc.